# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-socialregistration
%define fedora 19
Name: python-module-django-socialregistration
Version: 0.5.10
Release: alt1_1
Summary: Django application enabling registration through a variety of APIs

Group: Development/Python
License: MIT
URL: https://github.com/flashingpumpkin/django-socialregistration
Source0: http://pypi.python.org/packages/source/d/%{oldname}/django-socialregistration-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-module-oauth2
BuildRequires: python-module-openid
BuildRequires: python-module-setuptools

%if 0%{?fedora} > 17
%else
%endif
Source44: import.info

%description
Django Social Registration enables developers to add alternative registration
methods based on third party sites.

Supported methods currently are:

    OpenID
    OAuth
    Instagram


%prep
%setup -q -n django-socialregistration-%{version}
rm -rf django_socialregistration-%{version}*.egg-info


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE README.rst
%{python_sitelibdir_noarch}/socialregistration/
%{python_sitelibdir_noarch}/django_socialregistration-%{version}*.egg-info

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.10-alt1_1
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_1
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_4
- initial fc import

